Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartcard::CardReader::MetaData Struct Reference

Reader Metadata. More...

## Public Attributes
string | id
| Card reader ID used in events and traps.
string | manufacturer
| manufacturer
string | product
| product
string | serialNumber
| serial number (S/N)
int | channel
| one device (S/N) can provide multiple readers
string | position
| Position of the card reader. More...

## Detailed Description

Reader Metadata.

## Member Data Documentation

## ◆ position

string smartcard::CardReader::MetaData::position

Position of the card reader.

Contains either the position in the 1-wire topology and the channel (e.g. D1:H1:C1-1) or, for usb card readers, a string like usb:<n> where n is a number increasing with usb card readers.

The documentation for this struct was generated from the following file:

- CardReader.idl